<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <!-- Import cssbutton file -->
    <link rel="stylesheet" type="text/css" href="cssbutton.css">


<!-- Boat UI in front -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/botui/build/botui.min.css" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/botui/build/botui-theme-default.css" />

    <!--Import Google Icon Font-->
    <link rel = "stylesheet"
       href = "https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel = "stylesheet"
       href = "https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.3/css/materialize.min.css">
    <script type = "text/javascript"
       src = "https://code.jquery.com/jquery-2.1.1.min.js"></script>
<!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

    </script>
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

    <title> button</title>
  </head>
  <body>

        <div class="fixed-action-btn direction-top" style = "bottom: 70px; right: 24px;" onclick="myFunction()">
       <a class="btn-floating waves-effect waves-light btn-large">
         <i id="chat-icon" class="large material-icons ">chat_bubble</i>
       </a>
       </div>

         <div class="wrapper" id="wrapper">
         <nav class="nav" id="nav">
              <div class="default-nav">
               <div class="main-nav">
                 <div class="toggle"></div>
                 <div class="main-nav-item"><a class="main-nav-item-link" href=""> Chats </a></div>
                 <div class="options"></div>
               </div>
             </div>
           </nav>

           <div class="inner" id="inner">
             <div class="content" id="content"></div>

           <div class="bottom" id="bottom">
               <textarea class="input" id="input" placeholder="Type here..."></textarea>

             <div class="send waves-effect waves-light" id="send"></div>
           </div>
         </div>

  </body>
</html>

<script>
window.onload = function (){
var x = document.getElementById("wrapper");
x.style.display = "none";
}

  function myFunction() {
    var x = document.getElementById("wrapper");
    if (x.style.display === "none")
    {
    document.getElementById("chat-icon").innerHTML = "close";
      x.style.display = "block";
    }  else {
      document.getElementById("chat-icon").innerHTML = "chat_bubble";
      x.style.display = "none";
    }
  }



var _createClass = function () {function defineProperties(target, props) {for (var i = 0; i < props.length; i++) {var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);}}return function (Constructor, protoProps, staticProps) {if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;};}();function _classCallCheck(instance, Constructor) {if (!(instance instanceof Constructor)) {throw new TypeError("Cannot call a class as a function");}}var Messenger = function () {
  function Messenger() {_classCallCheck(this, Messenger);
    this.messageList = [];
    this.deletedList = [];

    this.me = 1; // completely arbitrary id
    this.them = 5; // and another one

    this.onRecieve = function (message) {return console.log('Recieved: ' + message.text);};
    this.onSend = function (message) {return console.log('Sent: ' + message.text);};
    this.onDelete = function (message) {return console.log('Deleted: ' + message.text);};
  }_createClass(Messenger, [{ key: 'send', value: function send()

    {var text = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      text = this.filter(text);

      if (this.validate(text)) {
        var message = {
          user: this.me,
          text: text,
          time: new Date().getTime() };


        this.messageList.push(message);

        this.onSend(message);
      }
    } }, { key: 'recieve', value: function recieve()

    {var text = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      text = this.filter(text);

      if (this.validate(text)) {
        var message = {
          user: this.them,
          text: text,
          time: new Date().getTime() };


        this.messageList.push(message);

        this.onRecieve(message);
      }
    } }, { key: 'delete', value: function _delete(

    index) {
      index = index || this.messageLength - 1;

      var deleted = this.messageLength.pop();

      this.deletedList.push(deleted);
      this.onDelete(deleted);
    } }, { key: 'filter', value: function filter(

    input) {
      var output = input.replace('bad input', 'good output'); // such amazing filter there right?
      return output;
    } }, { key: 'validate', value: function validate(

    input) {
      return !!input.length; // an amazing example of validation I swear.
    } }]);return Messenger;}();var


BuildHTML = function () {
  function BuildHTML() {_classCallCheck(this, BuildHTML);
    this.messageWrapper = 'message-wrapper';
    this.circleWrapper = 'circle-wrapper';
    this.textWrapper = 'text-wrapper';

    this.meClass = 'me';
    this.themClass = 'them';
  }_createClass(BuildHTML, [{ key: '_build', value: function _build(

    text, who) {
      return '<div class="' + this.messageWrapper + ' ' + this[who + 'Class'] + '">\n              <div class="' +
      this.circleWrapper + ' animated bounceIn"></div>\n              <div class="' +
      this.textWrapper + '">...</div>\n            </div>';

    } }, { key: 'me', value: function me(

    text) {
      return this._build(text, 'me');
    } }, { key: 'them', value: function them(

    text) {
      return this._build(text, 'them');
    } }]);return BuildHTML;}();


$(document).ready(function () {
  var messenger = new Messenger();
  var buildHTML = new BuildHTML();

  var $input = $('#input');
  var $send = $('#send');
  var $content = $('#content');
  var $inner = $('#inner');

  function safeText(text) {
    $content.find('.message-wrapper').last().find('.text-wrapper').text(text);
  }

  function animateText() {
    setTimeout(function () {
      $content.find('.message-wrapper').last().find('.text-wrapper').addClass('animated fadeIn');
    }, 350);
  }

  function scrollBottom() {
    $($inner).animate({
      scrollTop: $($content).offset().top + $($content).outerHeight(true) },
    {
      queue: false,
      duration: 'ease' });

  }

  function buildSent(message) {
    var audio = new Audio('open-ended.mp3');
    console.log('sending: ', message.text);

    $content.append(buildHTML.me(message.text));
    safeText(message.text);
    animateText();

    scrollBottom();
    audio.play();
  }

  function buildRecieved(message) {
    var audio = new Audio('open-ended.mp3');
    console.log('recieving: ', message.text);

    $content.append(buildHTML.them(message.text));
    safeText(message.text);
    animateText();

    scrollBottom();
    audio.play();
  }

  function sendMessage() {
    var text = $input.val();
    messenger.send(text);

    $input.val('');
    $input.focus();

  }

  messenger.onSend = buildSent;
  messenger.onRecieve = buildRecieved;

  setTimeout(function () {
    messenger.recieve('Hello there!');
  }, 1500);

  setTimeout(function () {
    messenger.recieve('May I help you ..?');
  }, 4000);

  $input.focus();

  $send.on('click', function (e) {
    sendMessage();
  });

  $input.on('keydown', function (e) {
    var key = e.which || e.keyCode;

    if (key === 13) {// enter key
      e.preventDefault();

      sendMessage();
    }
  });
});
</script>
